DefaultGisViewerServiceImpl (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.server

## Class DefaultGisViewerServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl
          - - org.gcube.portlets.user.gisviewer.server.DefaultGisViewerServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, GisViewerService

      public class DefaultGisViewerServiceImpl
      extends GisViewerServiceImpl

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `geoNetworkUrl`
    `static String` | `geoServerUrl`
    `protected GisViewerServiceParameters` | `parameters`

    - ### Fields inherited from class org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl

      `BASE_LAYER, researchMethod`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultGisViewerServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<? extends GisViewerBaseLayerInterface>` | `getBaseLayersToAddGisViewer()`
    `protected GisViewerServiceParameters` | `getParameters()`

    - ### Methods inherited from class org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl

      `getBaseLayersToGisViewer, getDataResult, getDataResult, getDataResult, getGeoCaller, getGroupsInfo, getLayersInfo, getLayersInfoByLayerItems, getListProperty, getTransectUrl`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### geoServerUrl

          public static String geoServerUrl

    - #### geoNetworkUrl

          public static String geoNetworkUrl

    - #### parameters

          protected GisViewerServiceParameters parameters

  - ### Constructor Detail

    - #### DefaultGisViewerServiceImpl

          public DefaultGisViewerServiceImpl()

  - ### Method Detail

    - #### getParameters

          protected GisViewerServiceParameters getParameters()

      Specified by:
        `getParameters` in class `GisViewerServiceImpl`

    - #### getBaseLayersToAddGisViewer

          protected List<? extends GisViewerBaseLayerInterface> getBaseLayersToAddGisViewer()
                                                                                     throws Exception

      Specified by:
        `getBaseLayersToAddGisViewer` in class `GisViewerServiceImpl`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.